import { request } from 'umi';

export default {
    //获取组织树
    getOrgTree() {
        return request('​/kitchen/api​/sysOrg​/tree', {
            method: 'GET'
        });
    },

    //获取支付配置
    getPayTemplateList() {
        return request(`/kitchen/api/paytemplate/getPayTemplatePageList`, {
            method: 'post',
            data: { current: 1, pageSize: 100 },
        });
    },

    /** 获取设备类型 */
    GetDicList(TypeCode) {
        return request(`/kitchen/api/dict-data/dic-list/${TypeCode}`, {
            method: 'Get',
        });
    },

    /** 获取所有设备类型  */
    GetDeviceType() {
        return request(`​/kitchen/api/Device/GetDeviceType`, {
            method: 'GET',
        });
    },

    /** 获取所有设备版本  */
    GetDeviceVersions() {
        return request(`​/kitchen/api/Device/GetDeviceVersions`, {
            method: 'post',
        });
    },

    /** 添加设备类型  */
    AddDeviceType(data) {
        return request(`/kitchen/api/Device/AddDeviceType`, {
            method: 'POST',
            data: data,
        });
    },

    GetDeviceInfoPage(data) {
        return request(`/kitchen/api/Device/GetDeviceInfoPage`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 获取组织架构分页
     * @param {*} params 
     * @param {*} options 
     * @returns 
     */
    getpage(params, options) {
        return request('/kitchen/api/sysOrg​/page', {
            method: 'GET',
            params: {
                ...params,
            },
        });
    },

    /**
     * 获取菜谱列表
     * @param {*} data 
     * @returns 
     */
    GetFoodMenuInfoPage(data) {
        return request(`/kitchen/api/FoodMenu/GetFoodMenuInfoPage`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 获取商品单位
     * @param {*} data 
     * @returns 
     */
    GetUnitList(data) {
        return request(`/kitchen/api/goods-unit/type`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 获取商品大类
     * @param {*} data 
     * @returns 
     */
    GetGoodsbigType(data) {
        return request(`/kitchen/api/goods-type/big-goods-types`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 获取商品小类
     * @param {*} data 
     * @returns 
     */
    GetGoodsSmallType(data) {
        return request(`/kitchen/api/goods-type/goods-types`, {
            method: 'POST',
            data: data
        });
    },

    /**
     * 获取上传地址
     * @param {*} data 
     * @returns 
     */
    GetCosRequestURL(data) {
        return request(`/kitchen/api/systemconfig/GetCosRequestSignURL`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加商品单位
     * @param {*} data 
     * @returns 
     */
    CreateUnit(data) {
        return request('/kitchen/api/goods-unit', {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加商品大类
     * @param {*} data 
     * @returns 
     */
    AddGoodsTypeListNew(data) {
        return request(`/kitchen/api/goods-type/goods-type-new`, {
            method: 'post',
            data: data,
        });
    },

    /**
     * 添加商品小类
     * @param {*} data 
     * @returns 
     */
    AddGoodsSmallType(data) {
        return request('/kitchen/api/goods-type', {
            method: 'POST',
            data: data,
        });
    },

    /** 获取商品  */
    GetgoodsList(data) {
        return request(`/kitchen/api/goods/goodss`, {
            method: 'Post',
            data: data,
        });
    }

}